MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030014Community[OCCT] OCCT:Data Exchangepublic2018-08-03 13:482020-10-07 16:21
Reporterkamal 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0030014: Data Exchange - Step File import does not create shapes, after transfer roots
DescriptionAfter import and transfer roots, shape does not exist
Steps To Reproducetest bugs step bug30014
TagsNo tags attached.
Test case numberNot required
Attached Fileszip file icon 123.zip (2,173,293 bytes) 2018-08-03 13:48

- Relationships
related to 0025171verifiedbugmaster Community Data Exchange, STEP Lexer - the strings with quote sign inside can't be properly lexed 

-  Notes
(0094728)
dpasukhi (developer)
2020-09-14 14:13

Fix included in branch CR30848_3 is reviewed, tested and integrated. Test case should be integrated together with 0025171.
(0095015)
ika (developer)
2020-09-18 11:21

Dear bugmaster,

please close the issue.

- Related Changesets
occt: master 3d46ce87
Timestamp: 2020-09-13 10:12:16
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0030014: Data Exchange - Step File import does not create shapes, after transfer roots

Add a test case to verify that the .STEP is read correctly
add - tests/bugs/step/bug30014 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-03 13:48 kamal New Issue
2018-08-03 13:48 kamal Assigned To => gka
2018-08-03 13:48 kamal File Added: 123.zip
2020-09-10 13:41 abv Assigned To gka => dpasukhi
2020-09-10 13:41 abv Status new => assigned
2020-09-14 14:13 dpasukhi Note Added: 0094728
2020-09-14 14:28 dpasukhi Relationship added related to 0030848
2020-09-18 11:17 dpasukhi Assigned To dpasukhi => ika
2020-09-18 11:17 dpasukhi Status assigned => resolved
2020-09-18 11:17 dpasukhi Steps to Reproduce Updated View Revisions
2020-09-18 11:21 ika Relationship added related to 0025171
2020-09-18 11:21 ika Note Added: 0095015
2020-09-18 11:21 ika Assigned To ika => bugmaster
2020-09-18 11:21 ika Status resolved => reviewed
2020-09-18 18:01 bugmaster Status reviewed => verified
2020-09-18 18:01 bugmaster Resolution open => fixed
2020-09-18 18:10 bugmaster Summary Step File import does not create shapes, after transfer roots => Data Exchange - Step File import does not create shapes, after transfer roots
2020-09-20 10:55 bugmaster Changeset attached => occt master 3d46ce87
2020-09-20 11:00 bugmaster Test case number => Not required
2020-10-07 16:21 abv Target Version => 7.5.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker